/*
 * かんたんPOVプログラム
 *
 * Cで書かれているので理解がかんたん．
 * 表示したいものを2進数でそのままかけるのでかんたん．
 *
 * 押したキーの値によってパターン表示の周期が調整できます．
 * 
 * '0b' による2進数の定数はgccと同じく独自拡張です．
 */

int screen[] = {
    //'C'という文字(上下に振ります)
    0b0001,0b1110,
    0b0010,0b0001,
    0b0100,0b0000,
    0b0010,0b0001,
    0b0001,0b1110,
};

int wait = 4;

void main(void) {
    int index = 0;
    int count;

    while(1) {
	setLedBinary(screen[index], screen[index + 1]);
	index += 2;
	if(index == 10)
	    index = 0;

	inputKey(&wait);
	for(count = 0; count < wait; count++);
    }
}
